Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CreateSecurityGroupRequest

    java.lang.Object
      com.amazonaws.AmazonWebServiceRequest
          com.amazonaws.services.ec2.model.CreateSecurityGroupRequest

    public class CreateSecurityGroupRequest

extends AmazonWebServiceRequest

Container for the parameters to the `CreateSecurityGroup operation`.

The CreateSecurityGroup operation creates a new security group.

Every instance is launched in a security group. If no security group is specified during launch, the instances are launched in the default security group. Instances within the same security group have unrestricted network access to each other. Instances will reject network access attempts from other instances in a different security group. As the owner of instances you can grant or revoke specific permissions using the AuthorizeSecurityGroupIngress and RevokeSecurityGroupIngress operations.

See Also:
  `AmazonEC2.createSecurityGroup(CreateSecurityGroupRequest)`

Constructor Summary
`CreateSecurityGroupRequest()`

Method Summary
`String` | `getDescription()` Description of the group.
`String` | `getGroupName()` Name of the security group.
`void` | `setDescription(String description)` Description of the group.
`void` | `setGroupName(String groupName)` Name of the security group.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CreateSecurityGroupRequest` | `withDescription(String description)` Description of the group.
`CreateSecurityGroupRequest` | `withGroupName(String groupName)` Name of the security group.

Methods inherited from class com.amazonaws.AmazonWebServiceRequest
`copyPrivateRequestParameters`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateSecurityGroupRequest

    public CreateSecurityGroupRequest()

Method Detail

### getGroupName

    public String getGroupName()

  Name of the security group.

  Returns:
    Name of the security group.

### setGroupName

    public void setGroupName(String groupName)

  Name of the security group.

  Parameters:
    `groupName` - Name of the security group.

### withGroupName

    public CreateSecurityGroupRequest withGroupName(String groupName)

  Name of the security group.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `groupName` - Name of the security group.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getDescription

    public String getDescription()

  Description of the group. This is informational only.

  Returns:
    Description of the group. This is informational only.

### setDescription

    public void setDescription(String description)

  Description of the group. This is informational only.

  Parameters:
    `description` - Description of the group. This is informational only.

### withDescription

    public CreateSecurityGroupRequest withDescription(String description)

  Description of the group. This is informational only.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `description` - Description of the group. This is informational only.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.